﻿import es
import playerlib
import time
import cfglib

info = es.AddonInfo()
info.name     = "!Noblock v1.1"
info.version  = "1.1"
info.basename = "noblock"
info.author   = "Donut"
es.ServerVar('NoBlock_version', info.version, '!Noblock By Donut').makepublic()

''' Configuration File '''
cfg = cfglib.AddonCFG(es.getAddonPath(info.basename) + "/%s.cfg" % info.basename)
cfg.text("Here can you configure how long time")
cfg.text("you will get noblock when typing !noblock")
cfg.text("")
time_noblock = cfg.cvar("noblock_time", 10, "Time in seconds")
cfg.write()

time_noblock = es.ServerVar('noblock_time')

def load():
	es.msg('#multi', '#default[!NoBlock]#lightgreen !NoBlock is now loaded')
	es.msg('#multi', '#default[!NoBlock]#lightgreen This script is made by Donut')
	es.server.cmd("es_xmexec ../addons/eventscripts/noblock/noblock.cfg")
	
def player_spawn(event_var):
	es.server.queuecmd('es_fire %s !self addoutput "rendermode 1"' % event_var['userid'])
	es.server.queuecmd('es_setplayerprop %s "CCSPlayer.baseclass.baseclass.baseclass.baseclass.baseclass.baseclass.m_CollisionGroup" 0' % event_var['userid'])
	es.server.queuecmd('es_fire %s !self alpha 255' % event_var['userid'])
	
def player_say(event_var):
	if event_var['text'].lower() == '!noblock':
		es.server.queuecmd('es_setplayerprop %s "CCSPlayer.baseclass.baseclass.baseclass.baseclass.baseclass.baseclass.m_CollisionGroup" 2' % event_var['userid'])
		es.tell(event_var["userid"], "#multi", "#default[!NoBlock]#lightgreen You do now have noblock in %s seconds" % (time_noblock))
		es.delayed(time_noblock, "es_tell %s #multi #default[NoBlock]#lightgreen You no longer got NoBlock" % event_var["userid"])
		es.delayed(time_noblock, "es_setplayerprop event_var(userid) CCSPlayer.baseclass.baseclass.baseclass.baseclass.baseclass.baseclass.m_CollisionGroup 0'")

def unload():
	es.msg('#multi', '#default[!NoBlock]#lightgreen !NoBlock is now unloaded')